summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorTom Martin <slarti@gentoo.org>2006-01-27 14:52:20 +0000
committerTom Martin <slarti@gentoo.org>2006-01-27 14:52:20 +0000
commitd6d341896a728bc5b3f8c902d9cbf2e2e180bb65 (patch)
tree6be9fed4c36b8ca892ce95feadb73a521dbcea62 /eclass
parentamd64 stable, bug 105189 (diff)
downloadgentoo-2-d6d341896a728bc5b3f8c902d9cbf2e2e180bb65.tar.gz
gentoo-2-d6d341896a728bc5b3f8c902d9cbf2e2e180bb65.tar.bz2
gentoo-2-d6d341896a728bc5b3f8c902d9cbf2e2e180bb65.zip
Add a permissions fix to get rid of any executable stuff in vimfiles
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vim-plugin.eclass5
1 files changed, 4 insertions, 1 deletions
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index 8ed1b9e47fbe..01932a88e68b 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.15 2005/12/05 23:44:50 ciaranm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.16 2006/01/27 14:52:20 slarti Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -47,6 +47,9 @@ vim-plugin_src_install() {
cd ${WORKDIR}
dodir /usr/share/vim
mv ${S} ${D}/usr/share/vim/vimfiles
+
+ # Fix remaining bad permissions
+ chmod -R -X ${D}/usr/share/vim/vimfiles/ || die "chmod failed"
}
vim-plugin_pkg_postinst() {